#
#  MMS file to build Jed  (Thanks to Hunter Goatley)
#
.IFDEF __MATTS_MMS__
.ELSE
EXE = .EXE
OBJ = .OBJ
.ENDIF

.IFDEF __ALPHA__
CC = CC/STANDARD=VAXC
OPTFILE =
OPTIONS =
.ELSE
OPTFILE = ,VAXCRTL.OPT
OPTIONS = $(OPTFILE)/OPTIONS
.ENDIF

CFLAGS = $(CFLAGS)/DEFINE=(HAS_MEMCPY,HAS_MEMSET,HAS_MEMCMP)

OBJS =	BUFFER$(OBJ),CMDS$(OBJ),MISC$(OBJ),FILE$(OBJ),MAIN$(OBJ),-
	DISPLAY$(OBJ),INS$(OBJ),SIG$(OBJ),SYSDEP$(OBJ),SCREEN$(OBJ),-
	PASTE$(OBJ),LEDIT$(OBJ),LINE$(OBJ),VTERM$(OBJ),SEARCH$(OBJ),-
	TEXT$(OBJ),KEYMAP$(OBJ),REPLACE$(OBJ),WINDOW$(OBJ),SLANG$(OBJ),-
	UNDO$(OBJ),MEM$(OBJ),VFILE$(OBJ),PARSE$(OBJ),VMSMAIL$(OBJ)

HFILES = BUFFER.H,CMDS.H,DISPLAY.H,FILE.H,INS.H,KEYMAP.H,LEDIT.H,LINE.H,-
         MISC.H,PASTE.H,SCREEN.H,SEARCH.H,SIG.H,SYSDEP.H,TEXT.H,VTERM.H,-
         REPLACE.H,WINDOW.H,SLANG.H,UNDO.H,MEM.H

JED$(EXE) : $(OBJS)$(OPTFILE)
        $(LINK)$(LINKFLAGS)/NOTRACE $(OBJS)$(OPTIONS)

#
#  Most modules depend on most of the .H files, so I'm going to be lazy
#  and just make them all depend on all of them.
#
$(OBJS) : $(HFILES)

#
#  Build the linker options file for OpenVMS VAX and VAX C.
#
VAXCRTL.OPT :
        @ open/write tmp vaxcrtl.opt
        @ write tmp "SYS$SHARE:VAXCRTL.EXE/SHARE"
        @ close tmp
